Package jaxe

# Class SchemaSimple

java.lang.Object
jaxe.SchemaSimple

All Implemented Interfaces:
  `InterfaceSchema`

public class SchemaSimple extends Object implements InterfaceSchema
Schéma simplifié pour Jaxe (inclut dans les fichiers de config)

## Constructor Summary

Constructors
Constructor
Description
`SchemaSimple(Element racine_schema, Config cfg)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`aEspace(String espace)`
Renvoie true si l'espace de nom est défini dans le schéma
`boolean`
`attributObligatoire(Element refParent, Element refAttribut)`
Renvoit true si l'attribut est obligatoire sous le parent.
`boolean`
`attributValide(Element refAttribut, String valeur)`
Renvoie true si la valeur donnée est une valeur valide pour l'attribut
`boolean`
`contientDuTexte(Element refElement)`
Renvoie true si l'élément dont on donne la référence peut contenir du texte
`String`
`documentationAttribut(Element refAttribut)`
Renvoie la documentation d'un attribut à partir de sa référence
`String`
`documentationElement(Element refElement)`
Renvoie la documentation d'un élément dont on donne la référence (sous forme de texte simple, avec des \n pour faire des sauts de lignes)
`boolean`
`elementDansSchema(Element refElement)`
Renvoie true si la référence vient de ce schéma
`boolean`
`elementObligatoire(Element refParent, Element refEnfant)`
Renvoit true si l'enfant est obligatoire sous le parent.
`boolean`
`enfantsMultiples(Element refParent, Element refEnfant)`
Renvoit true si le parent peut avoir des enfants multiples avec la référence refEnfant.
`String`
`espaceAttribut(String nomAttribut)`
Renvoie l'espace de noms d'un attribut à partir de son nom complet (avec le préfixe s'il y en a un)
`String`
`espaceAttribut(Element refAttribut)`
Renvoie l'espace de noms d'un attribut à partir de sa référence, ou null si aucun n'est défini
`String`
`espaceCible()`
Renvoie l'espace de noms cible du schéma (attribut targetNamespace avec WXS)
`String`
`espaceElement(Element refElement)`
Renvoie l'espace de nom de l'élément dont la référence est passée en paramètre, ou null si l'espace de noms n'est pas défini.
`boolean`
`estObligatoire(Element refAttribut)`
Deprecated.
`String`
`expressionReguliere(Element refParent, boolean modevisu, boolean modevalid)`
Expression régulière correspondant au schéma pour un élément parent donné
`ArrayList<Element>`
`listeAttributs(Element refElement)`
Renvoie la liste des références des attributs possibles pour un élément dont on donne la référence en paramètre
`ArrayList<Element>`
`listeElementsDansEspaces(Set<String> espaces)`
Renvoie les références des éléments qui sont dans les espaces de noms passés en paramètre
`ArrayList<Element>`
`listeElementsHorsEspace(String espace)`
Renvoie les références des éléments qui ne sont pas dans l'espace de noms passé en paramètre
`ArrayList<Element>`
`listeElementsParents(Element refElement)`
Renvoie la liste des références des parents possibles pour un élément dont la référence est passée en paramètre
`ArrayList<String>`
`listeEspaces()`
Renvoie la liste des espaces de noms (String) utilisés par ce schéma.
`ArrayList<Element>`
`listeSousElements(Element refParent)`
Renvoie les références des éléments enfants de l'élément dont la référence est passée en paramètre
`ArrayList<Element>`
`listeTousElements()`
Renvoie les références de tous les éléments du schéma
`ArrayList<String>`
`listeValeursAttribut(Element refAttribut)`
Renvoie la liste des valeurs possibles pour un attribut, à partir de sa référence.
`ArrayList<String>`
`listeValeursElement(Element refElement)`
Renvoie la liste des valeurs possibles pour un élément, à partir de sa référence.
`String`
`nomAttribut(Element refAttribut)`
Renvoie le nom d'un attribut à partir de sa référence
`String`
`nomElement(Element refElement)`
Renvoie le nom de l'élément dont la référence est donnée.
`Element`
`parentAttribut(Element refAttribut)`
Renvoie la référence du premier élément parent d'un attribut à partir de sa référence
`String`
`prefixeElement(Element refElement)`
Renvoie le préfixe à utiliser pour créer un élément dont on donne la référence, ou null s'il n'y en a pas.
`String`
`prefixeEspace(String espace)`
Renvoie un préfixe à utiliser pour l'espace de noms donné, ou null si aucune suggestion n'est possible
`Element`
`referenceElement(String nom)`
Renvoie la référence du premier élément du schéma avec le nom donné.
`Element`
`referenceElement(Element el)`
Renvoie la référence du premier élément du schéma avec le nom et l'espace de noms de l'élément passé en paramètre.
`Element`
`referenceElement(Element el, Element refParent)`
Renvoie la référence du premier élément du schéma avec le nom et l'espace de noms de l'élément passé en paramètre, et avec le parent dont la référence est passée en paramètre.
`boolean`
`valeurElementValide(Element refElement, String valeur)`
Renvoie true si la valeur donnée est une valeur valide pour l'élément
`String`
`valeurParDefaut(Element refAttribut)`
Renvoie la valeur par défaut d'un attribut dont la référence est donnée en paramètre

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SchemaSimple

public SchemaSimple(Element racine_schema, Config cfg)

## Method Details

### elementDansSchema

public boolean elementDansSchema(Element refElement)
Renvoie true si la référence vient de ce schéma

Specified by:
  `elementDansSchema` in interface `InterfaceSchema`

### referenceElement

public Element referenceElement(String nom)
Renvoie la référence du premier élément du schéma avec le nom donné.

Specified by:
  `referenceElement` in interface `InterfaceSchema`

### referenceElement

public Element referenceElement(Element el)
Renvoie la référence du premier élément du schéma avec le nom et l'espace de noms de l'élément passé en paramètre.

Specified by:
  `referenceElement` in interface `InterfaceSchema`

### referenceElement

public Element referenceElement(Element el, Element refParent)
Renvoie la référence du premier élément du schéma avec le nom et l'espace de noms de l'élément passé en paramètre, et avec le parent dont la référence est passée en paramètre.

Specified by:
  `referenceElement` in interface `InterfaceSchema`

### nomElement

public String nomElement(Element refElement)
Renvoie le nom de l'élément dont la référence est donnée.

Specified by:
  `nomElement` in interface `InterfaceSchema`

### espaceElement

public String espaceElement(Element refElement)
Renvoie l'espace de nom de l'élément dont la référence est passée en paramètre, ou null si l'espace de noms n'est pas défini.

Specified by:
  `espaceElement` in interface `InterfaceSchema`

### documentationElement

public String documentationElement(Element refElement)
Renvoie la documentation d'un élément dont on donne la référence (sous forme de texte simple, avec des \n pour faire des sauts de lignes)

Specified by:
  `documentationElement` in interface `InterfaceSchema`

### listeValeursElement

public ArrayList<String> listeValeursElement(Element refElement)
Renvoie la liste des valeurs possibles pour un élément, à partir de sa référence. Renvoie null s'il y a un nombre infini de valeurs possibles ou si l'élément n'a pas un type simple.

Specified by:
  `listeValeursElement` in interface `InterfaceSchema`

### valeurElementValide

public boolean valeurElementValide(Element refElement, String valeur)
Renvoie true si la valeur donnée est une valeur valide pour l'élément

Specified by:
  `valeurElementValide` in interface `InterfaceSchema`

### prefixeElement

public String prefixeElement(Element refElement)
Renvoie le préfixe à utiliser pour créer un élément dont on donne la référence, ou null s'il n'y en a pas.

Specified by:
  `prefixeElement` in interface `InterfaceSchema`

### listeEspaces

public ArrayList<String> listeEspaces()
Renvoie la liste des espaces de noms (String) utilisés par ce schéma.

Specified by:
  `listeEspaces` in interface `InterfaceSchema`

### aEspace

public boolean aEspace(String espace)
Renvoie true si l'espace de nom est défini dans le schéma

Specified by:
  `aEspace` in interface `InterfaceSchema`

### prefixeEspace

public String prefixeEspace(String espace)
Renvoie un préfixe à utiliser pour l'espace de noms donné, ou null si aucune suggestion n'est possible

Specified by:
  `prefixeEspace` in interface `InterfaceSchema`

### espaceCible

public String espaceCible()
Renvoie l'espace de noms cible du schéma (attribut targetNamespace avec WXS)

Specified by:
  `espaceCible` in interface `InterfaceSchema`

### listeElementsHorsEspace

public ArrayList<Element> listeElementsHorsEspace(String espace)
Renvoie les références des éléments qui ne sont pas dans l'espace de noms passé en paramètre

Specified by:
  `listeElementsHorsEspace` in interface `InterfaceSchema`

### listeElementsDansEspaces

public ArrayList<Element> listeElementsDansEspaces(Set<String> espaces)
Renvoie les références des éléments qui sont dans les espaces de noms passés en paramètre

Specified by:
  `listeElementsDansEspaces` in interface `InterfaceSchema`

### listeTousElements

public ArrayList<Element> listeTousElements()
Renvoie les références de tous les éléments du schéma

Specified by:
  `listeTousElements` in interface `InterfaceSchema`

### elementObligatoire

public boolean elementObligatoire(Element refParent, Element refEnfant)
Renvoit true si l'enfant est obligatoire sous le parent.

Specified by:
  `elementObligatoire` in interface `InterfaceSchema`

### enfantsMultiples

public boolean enfantsMultiples(Element refParent, Element refEnfant)
Renvoit true si le parent peut avoir des enfants multiples avec la référence refEnfant.

Specified by:
  `enfantsMultiples` in interface `InterfaceSchema`

### listeSousElements

public ArrayList<Element> listeSousElements(Element refParent)
Renvoie les références des éléments enfants de l'élément dont la référence est passée en paramètre

Specified by:
  `listeSousElements` in interface `InterfaceSchema`

### expressionReguliere

public String expressionReguliere(Element refParent, boolean modevisu, boolean modevalid)
Expression régulière correspondant au schéma pour un élément parent donné

Specified by:
  `expressionReguliere` in interface `InterfaceSchema`
Parameters:
  `modevisu` - True si on cherche une expression régulière à afficher pour l'utilisateur
  `modevalid` - Pour obtenir une validation stricte au lieu de chercher si une insertion est possible

### listeElementsParents

public ArrayList<Element> listeElementsParents(Element refElement)
Renvoie la liste des références des parents possibles pour un élément dont la référence est passée en paramètre

Specified by:
  `listeElementsParents` in interface `InterfaceSchema`

### listeAttributs

public ArrayList<Element> listeAttributs(Element refElement)
Renvoie la liste des références des attributs possibles pour un élément dont on donne la référence en paramètre

Specified by:
  `listeAttributs` in interface `InterfaceSchema`

### nomAttribut

public String nomAttribut(Element refAttribut)
Renvoie le nom d'un attribut à partir de sa référence

Specified by:
  `nomAttribut` in interface `InterfaceSchema`

### espaceAttribut

public String espaceAttribut(Element refAttribut)
Renvoie l'espace de noms d'un attribut à partir de sa référence, ou null si aucun n'est défini

Specified by:
  `espaceAttribut` in interface `InterfaceSchema`

### documentationAttribut

public String documentationAttribut(Element refAttribut)
Renvoie la documentation d'un attribut à partir de sa référence

Specified by:
  `documentationAttribut` in interface `InterfaceSchema`

### espaceAttribut

public String espaceAttribut(String nomAttribut)
Renvoie l'espace de noms d'un attribut à partir de son nom complet (avec le préfixe s'il y en a un)

Specified by:
  `espaceAttribut` in interface `InterfaceSchema`

### estObligatoire

@Deprecated public boolean estObligatoire(Element refAttribut)
Deprecated.
Renvoie true si un attribut est obligatoire, à partir de sa définition

Specified by:
  `estObligatoire` in interface `InterfaceSchema`

### attributObligatoire

public boolean attributObligatoire(Element refParent, Element refAttribut)
Renvoit true si l'attribut est obligatoire sous le parent.

Specified by:
  `attributObligatoire` in interface `InterfaceSchema`

### listeValeursAttribut

public ArrayList<String> listeValeursAttribut(Element refAttribut)
Renvoie la liste des valeurs possibles pour un attribut, à partir de sa référence. Renvoie null s'il y a un nombre infini de valeurs possibles.

Specified by:
  `listeValeursAttribut` in interface `InterfaceSchema`

### valeurParDefaut

public String valeurParDefaut(Element refAttribut)
Renvoie la valeur par défaut d'un attribut dont la référence est donnée en paramètre

Specified by:
  `valeurParDefaut` in interface `InterfaceSchema`

### attributValide

public boolean attributValide(Element refAttribut, String valeur)
Renvoie true si la valeur donnée est une valeur valide pour l'attribut

Specified by:
  `attributValide` in interface `InterfaceSchema`

### parentAttribut

public Element parentAttribut(Element refAttribut)
Renvoie la référence du premier élément parent d'un attribut à partir de sa référence

Specified by:
  `parentAttribut` in interface `InterfaceSchema`

### contientDuTexte

public boolean contientDuTexte(Element refElement)
Renvoie true si l'élément dont on donne la référence peut contenir du texte

Specified by:
  `contientDuTexte` in interface `InterfaceSchema`